Bug 1094802 - libgeotiff.pc file distributed with geotiff-devel has wrong library path
libgeotiff.pc file distributed with geotiff-devel has wrong library path
Status: RESOLVED FIXED
Classification: SUSE Linux Enterprise Server
Product: Beta SUSE Linux Enterprise Server 15
Classification: SUSE Linux Enterprise Server
Component: Other
RC 4
x86-64 SLES 15
: P3 - Medium : Normal
: ---
Assigned To: Martin Pluskal
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-28 06:00 UTC by Håkon Nygård
Modified: 2018-06-25 09:33 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Håkon Nygård 2018-05-28 06:00:09 UTC
Name        : geotiff-devel
Version     : 1.4.2
Release     : 1.5

The last Libs: part of /usr/lib64/pkgconfig/libgeotiff.pc after
installing is this:

Libs: -L/usr/lib64 -llibgeotiff

while it should have been:

Libs: -L/usr/lib64 -lgeotiff

The library is found as /usr/lib64/libgeotiff.so

Using pkg-config while linking software results in an error like:

/usr/lib64/gcc/x86_64-suse-linux/7/../../../../x86_64-suse-linux/bin/ld:
cannot find -llibgeotiff
Comment 1 Stephan Kulow 2018-05-28 06:16:39 UTC
I can't find any geotiff-devel on SLE15. This looks rather like a package on packagehub
Comment 2 Håkon Nygård 2018-05-28 06:39:41 UTC
The package is distubuted at ./repo/SUSE/Backports/SLE-15_x86_64/standard/x86_64_SP0/geotiff-devel-1.4.2-1.5.x86_64.rpm
Comment 3 Stephan Kulow 2018-05-28 06:48:28 UTC
yes, that's the packagehub. It's a bug - I just don't know how to determine who is the assignee
Comment 4 Stephan Kulow 2018-05-28 12:18:00 UTC
Martin submitted it to packagehub: https://build.opensuse.org/request/show/416951
Comment 5 Swamp Workflow Management 2018-05-29 09:30:05 UTC
This is an autogenerated message for OBS integration:
This bug (1094802) was mentioned in
https://build.opensuse.org/request/show/612807 Factory / geotiff
Comment 6 Swamp Workflow Management 2018-05-30 09:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1094802) was mentioned in
https://build.opensuse.org/request/show/613005 15.0+42.3+Backports:SLE-12 / geotiff
Comment 7 Swamp Workflow Management 2018-06-06 01:08:33 UTC
openSUSE-OU-2018:1556-1: An update that has one optional fix can now be installed.

Category: optional (moderate)
Bug References: 1094802
CVE References: 
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    geotiff-1.4.2-8.1
Comment 8 Swamp Workflow Management 2018-06-06 01:09:19 UTC
openSUSE-OU-2018:1558-1: An update that has one optional fix can now be installed.

Category: optional (moderate)
Bug References: 1094802
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    geotiff-1.4.2-6.3.1
openSUSE Leap 15.0 (src):    geotiff-1.4.2-lp150.2.3.1
Comment 9 Martin Pluskal 2018-06-25 09:33:38 UTC
Update was released